- Getting started
- Authentication
- Scopes and permissions
- Platform Management APIs
Update the details of a specific local user in an Automation Suite organization using the Identity API, including required scope and request body fields.
Updates the information about the specified local user.
API endpoint
PUT https://{yourDomain}/{organizationName}/identity_/api/User/{userId}
Scopes
Requires the following scopes:
PM.UserPM.User.Write
Request headers
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
To obtain the {access_token}, make sure to authenticate through one of the methods described in Authentication methods.
Path parameters
| Parameter | Data type | Description |
|---|---|---|
userId | String | Required. The ID of the user you want to update. |
Request body
The request body contains the user information you want to update, such as name, email, or group membership.
{
"name": "string",
"surname": "string",
"email": "user@example.com",
"isActive": true,
"password": "string",
"groupIDsToAdd": [
"string"
],
"groupIDsToRemove": [
"string"
],
"bypassBasicAuthRestriction": true,
"invitationAccepted": true
}
{
"name": "string",
"surname": "string",
"email": "user@example.com",
"isActive": true,
"password": "string",
"groupIDsToAdd": [
"string"
],
"groupIDsToRemove": [
"string"
],
"bypassBasicAuthRestriction": true,
"invitationAccepted": true
}
Responses
200 OK
The custom group is updated with the information you provided.
400 Bad Request
Could not perform the update.
{
"errors": {
"bypassBasicAuthRestriction": [
"Unexpected character encountered while parsing value: h. Path 'bypassBasicAuthRestriction', line 17, position 35.",
"Unexpected character encountered while parsing value: a. Path 'bypassBasicAuthRestriction', line 17, position 35."
]
},
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"traceId": "00-aec3de9099a9934e9c31e26c19f5e0dd-8c0d3d5f476c7742-00"
}
{
"errors": {
"bypassBasicAuthRestriction": [
"Unexpected character encountered while parsing value: h. Path 'bypassBasicAuthRestriction', line 17, position 35.",
"Unexpected character encountered while parsing value: a. Path 'bypassBasicAuthRestriction', line 17, position 35."
]
},
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"traceId": "00-aec3de9099a9934e9c31e26c19f5e0dd-8c0d3d5f476c7742-00"
}
Example request
Let's say you gathered all the information needed to build the API call.
- Your
{baseURL}is:https://{yourDomain}/{organizationName}/identity_ - Your
{access_token}is:1234(for length considerations). - You want to update the information and membership of user ID
her-1909.
The call should resemble the following example (cURL):
curl --location --request PUT 'https://{yourDomain}/{organizationName}/identity_/api/User/her-1909' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"name": "Hermione",
"surname": "Granger-Weasley",
"email": "hermione@hogwarts.com",
"groupIDsToAdd": [
"gryff-01",
"alumni-02",
"teachers-03"
],
"groupIDsToRemove": [],
"bypassBasicAuthRestriction": false
}'
curl --location --request PUT 'https://{yourDomain}/{organizationName}/identity_/api/User/her-1909' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"name": "Hermione",
"surname": "Granger-Weasley",
"email": "hermione@hogwarts.com",
"groupIDsToAdd": [
"gryff-01",
"alumni-02",
"teachers-03"
],
"groupIDsToRemove": [],
"bypassBasicAuthRestriction": false
}'
Here is the response for a successful call:
{
"succeeded": true,
"errors": []
}
{
"succeeded": true,
"errors": []
}